<?xml version="1.0" encoding="UTF-8"?>
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="fr" xml:id="macr2tree">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>macr2tree</refname>
    <refpurpose>conversion d'une fonction en arbre</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Séquence d'appel</title>
    <synopsis>t=macr2tree(nom-de-fonction)</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Paramètres</title>
    <variablelist>
      <varlistentry>
        <term>nom-de-fonction</term>
        <listitem>
          <para>une macro Scilab</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>t</term>
        <listitem>
          <para>un "arbre" Scilab</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para>
    Cette primitive convertit une fonction compilée de Scilab <literal>nom-de-fonction</literal>
    en arbre (tlists imbriquées) qui code la représentation interne de la fonction. 
    A utiliser avec <literal>tree2code</literal>.
    </para>
  </refsection>
  <refsection>
    <title>Exemples</title>
    <programlisting role="example"><![CDATA[ 
tree=macr2tree(cosh);
txt=tree2code(tree,%T);
write(%io(2),txt,'(a)');
 ]]></programlisting>
  </refsection>
  <refsection>
    <title>Voir Aussi</title>
    <simplelist type="inline">
      <member>
        <link linkend="tree2code">tree2code</link>
      </member>
    </simplelist>
  </refsection>
  <refsection>
    <title>Auteurs</title>
    <simplelist type="vert">
      <member>V.C.</member>
    </simplelist>
  </refsection>
</refentry>
